* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
  }

  html,  body {
    overflow-x: hidden;
}
  body {
    font-family: 'Roboto',sans-serif;
    font-weight: 300;
    line-height: 1.8em;
    color: #000000;
    margin: 0px;
    padding: 0px;
    overflow-x: hidden; 
  }
  h2{
    font-size: 14px;
  }
  p{
    font-size: 20px;
  }
/* Add a black background color to the top navigation */
.topnav {
  background-color: #ffffff;
  overflow: hidden;
    position: fixed;
      top: 0;
      left: 0;
      width: 100%;
      z-index: 99;
  }

/* Style the links inside the navigation bar */
.topnav a {
  color: #000000;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

/* Change the color of links on hover */
.topnav a:hover {
  background-color: #ddd;
  color: black;
}

/* Add a color to the active/current link */
.topnav a.active {
  background-color: #464e63;
  color: white;
}

.circular--square {
  width: auto;
  height: 50px; 
  opacity: 1;
  position: absolute;
  top: 3px;
  left: 5px;
  background-image: url(Immagini/small-photo.png);
  background-repeat: no-repeat;
  background-size: 100%;
  align-items: center;
  justify-content: flex-start;
  text-align: left;
  float: left;
  } 

  .topnav a .circular--square {
    float: left;
  }
.title{
  width: 830px;
  color: rgba(0,0,0,1);
  position: absolute;
  top: 15px;
  left: 83px;
  font-size: 17px;
  opacity: 1;
  text-align: left;
}

.presentation {  
  width: 100%;  
  height: 350px;  
  display: flex;  
  flex-direction: row;  
  justify-content: center; 
  gap: 40px;    
  padding-top: 50px ;  
  background-color: #464e63;
  margin-top: 50px;
}

.big-photo {
  width: auto;
  height: 200px;
  opacity: 1;
  position: absolute;
  left: 0px;
}

.container-1 {
  width: 760px;
  height: 100px;
  margin: 12px;
  opacity: 1;
  position: absolute;
  left: 310px;
}
.name {
  width: 760px;
  color: rgba(255,255,255,1);
  font-size: 24px;
  opacity: 1;
  text-align: left;
}

.description {
  width: 760px;
  color: white;
  position: absolute;
  left: 0px;
  font-size: 14px;
  opacity: 1;
  margin-top: 10px;
}

.box-button {
  width: 160px;
  height: 108px;
  text-align: center;
  position: absolute;
  align-items: center;
  left: 1110px;
  overflow: hidden;
  margin-top: 40px;
  margin-left: 12px;
}

button{
  width: 160px;
  height: 48px;
  border-radius: 8px;
  align-items: center;
  text-align: center;
  font-weight: bold;
  box-shadow: none;
  cursor: pointer; 
}

.cv {
  color: rgba(0,0,0,1);
  font-size: 16px;
  position: absolute;
  top: 60px;
  left: 0px;
  background-color: white;
  border: none;
}

.my-project{
    font-size: 40px;
    font-weight: bold;
    text-align: left;
    color: #000;
    align-self: stretch;
    padding: 60px 170px;
      }

  .Products {
    width: 100%;
    display: flex;
    flex-direction: column;
    height:1200px;
    gap: 60px;
  }

  .experience {
    width: 100%;
    display: flex;
    flex-direction: row;
    height:1100px;
  }

  .item-1 {
    height: 150px;
    width: 520px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 20px;
    padding: 12px 0;
    margin-left: 100px;
  }

  .item-2 {
    height: 150px;
    width: 520px;
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: start;
    align-items: center;
    gap: 20px;
    padding: 12px 0;
    margin-left: 100px;
  }

  .job-1 {
    width: auto;
    height: 100px;
    color: #000;
  }

  .title-1 {
    height: 14px;
    flex-grow: 0;
    font-size: 20px;
    color: #000;
  }
  .title-2 {
    height: 14px;
    flex-grow: 0;
    font-size: 20px;
    color: #000;
  }
  .subtitle-1 {
    height: 12px;
    font-size: 16px;
    color: rgba(0, 0, 0, 0.5);
  }
  .image {
    width: 520px;
    height: 1000px;
    margin-right: 170px;
    margin-top: 60px;
    padding: 470px 0 105px;
    background-color: #464e63;
    align-items: center;
    gap: 130px;
    display: flex;
    flex-direction: column;
  }

  .subdescribtion {
    width: 380px;
    height: 112px;
    font-size: 12px;
    text-align: left;
    color: #fff;
  }
  .line{
    width: 100%;
    height: 0.5px;
    flex-grow: 0;
    background-color: rgba(0, 0, 0, 0.1);
    margin-top: 60px;
  }

  .Products {
    width: 1000px;
    display: flex;
    height:200px;
    
  }
 
  .skills{
    margin-left:170px;
    margin-top: 60px;
    font-size: 40px;
    font-weight: bold;
    text-align: left;
    color: #000;
    align-self: stretch;
    margin-bottom: 60px;
  }
  .skillicon {
    margin-top: 60px;
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    gap: 100px;
  }
  .skillicon-1 {
    margin-top: 10px;
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    gap: 80px;
  }
  .skillicon-2 {
    margin-top: 10px;
    width: 100%;
    height: auto;
    display: flex;
    justify-content: center;
    gap: 80px;
  }

  .icon-1 {
    width: auto;
    height: 100px;
    color: #000;
  }

  .text-box {
    width: 200px;
    height: auto;
    display:flex;
    justify-content: center;
  }  

  .text-box-1 {
    width: 200px;
    height: auto;
    display:flex;
    justify-content: center;
  }    

  .text-box-2 {
    width: 200px;
    height: auto;
    display:flex;
    justify-content: center;
  }    

  .final-section {
    height: 100px;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
    gap: 60px;
    padding: 60px;
    background-color: #464e63;
  }
  
  .credit {
    font-size: 14px;
    text-align: center;
    color: white;
  }

  /* Mobile Styles */
@media only screen and (max-width: 400px) {

  .title{
    opacity: 0;
  }

  .circular--square {
    position: absolute;
    top: 3px;
    left: -18px;
    } 

  .presentation {  
    display: flex;  
    flex-direction: column;   
    padding: 0px;  
    height: 750px;
    margin-top: 50px;
    width: auto;
  }
  .container-1 {
    width: auto;
    height: auto;
    margin: 12px;
    opacity: 1;
    position: absolute;
    left: 0px;
    top:250px;
    
  }
  .big-photo {
    width: auto;
    height: 200px;
    opacity: 1;
    position: absolute;
    top:50px;
  }
  
  .name {
    width: 760px;
    color: rgba(255,255,255,1);
    font-size: 24px;
    opacity: 1;
    text-align: center;
  }
  
  .description {
    width: 350px;
    color: white;
    position: absolute;
    left: 0px;
    font-size: 12px;
    opacity: 1;
    margin-top: 10px;
  }
  .box-button {
    width: 160px;
    height: 108px;
    text-align: center;
    margin-left: 0px;
    align-items: center;
    display: flex;
    position: absolute;
    top: 590px;
    left:100px;
  }
  
  button{
    width: 160px;
    height: 48px;
    border-radius: 8px;
    align-items: center;
    text-align: center;
    font-weight: bold;
    box-shadow: none;
    cursor: pointer; 
  }
  
  .cv {
    color: rgba(0,0,0,1);
    font-size: 16px;
    background-color: white;
    border: none;
  }

  .my-project{
    font-size: 30px;
    font-weight: bold;
    text-align: left;
    color: #000;
    align-self: stretch;
    padding: 60px 50px;
    }

    .item-1 {
      height: 150px;
      width: 520px;
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      justify-content: start;
      align-items: center;
      gap: 20px;
      padding: 12px 0;
      margin-left: -70px;
    }
  
    .item-2 {
      height: 150px;
      width: 300px;
      flex-grow: 1;
      display: flex;
      flex-direction: column;
      justify-content: start;
      align-items: center;
      gap: 20px;
      padding: 12px 0;
      margin-left: 40px;
    }
    .title-1 {
      height: 14px;
      flex-grow: 0;
      font-size: 16px;
      color: #000;
      text-align: center;
    }
    .title-2 {
      height: 14px;
      flex-grow: 0;
      font-size: 16px;
      color: #000;
      text-align: center;
      margin-bottom: 20px;
    }
    
    .subtitle-1 {
      height: 12px;
      font-size: 12px;
      color: rgba(0, 0, 0, 0.5);
    }
    .skills{
      margin-left:45px;
      margin-top: 60px;
      font-size: 30px;
      font-weight: bold;
      text-align: left;
      color: #000;
      align-self: stretch;
      margin-bottom: 60px;
    }
    .skillicon {
      margin-top: 60px;
      width: 100%;
      height: auto;
      display: flex;
      flex-direction: column;
      justify-content: center;
      gap: 100px;
    }
    .skillicon-1 {
      display: flex;
      flex-direction: column;
      gap: 270px;
      padding-left: 85px;
      position: absolute;
      top:2280px;
 
    }
    .skillicon-2 {
      flex-direction: column;
      gap: 270px;
      padding-left: 85px;
      position: absolute;
      top:3450px;

    }
    .icon-1 {
      width: auto;
      height: 200px;
      color: #000;
    }
.credit {
line-height: 15px;
  font-size: 10px;
}
}
@media (max-width: 1400px) {
  .topnav a {
    float: right;
    padding: 14px 16px;
  }
  .big-photo {
    position: absolute;
    left: 0px;
  }
}